summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorErin Schlarb <erin-dev@ninetailed.ninja>2023-04-20 13:32:32 +0200
committerGitHub <noreply@github.com>2023-04-20 13:32:32 +0200
commit5b11e70a9617c6e248fd6947e84016bd8c37028e (patch)
treeb4e378ff2b72a5b9e567fbe65df1ca08c669da37 /lib
parent18c837b136a9591117ef059eb8266c490d5eeee1 (diff)
downloadzsh-5b11e70a9617c6e248fd6947e84016bd8c37028e.tar.gz
zsh-5b11e70a9617c6e248fd6947e84016bd8c37028e.tar.bz2
zsh-5b11e70a9617c6e248fd6947e84016bd8c37028e.zip
fix(cli): execute as expected if `ksh_arrays` is set (#11629)
Diffstat (limited to 'lib')
-rw-r--r--lib/cli.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/lib/cli.zsh b/lib/cli.zsh
index ba3e39eb5..561c1b98b 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -11,7 +11,7 @@ function omz {
# Subcommand functions start with _ so that they don't
# appear as completion entries when looking for `omz`
- (( $+functions[_omz::$command] )) || {
+ (( ${+functions[_omz::$command]} )) || {
_omz::help
return 1
}